"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _actionPreflightCheck = _interopRequireDefault(require("./utils/actionPreflightCheck"));

var _getPackageDependencies = require("./utils/getPackageDependencies");

var _stripAnsi = _interopRequireDefault(require("strip-ansi"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

async function analyze({
  target
}) {
  console.log((0, _stripAnsi.default)(JSON.stringify(await (0, _getPackageDependencies.getPackageDependencies)(target), null, 2)));
}

var _default = (0, _actionPreflightCheck.default)(analyze);

exports.default = _default;
//# sourceMappingURL=analyze.js.map